
Name:           OpenEXR
Version:        1.2.2
Release:        8%{?dist}
Summary:        A high dynamic-range (HDR) image file format

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.openexr.com/
Source0:        http://savannah.nongnu.org/download/openexr/OpenEXR-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         OpenEXR-1.2.2-zlib.patch
Patch1:         OpenEXR-1.2.2-forwardfriend.patch

BuildRequires:  fltk-devel >= 1.1
BuildRequires:  zlib-devel
BuildRequires:  automake libtool

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial
Light & Magic for use in computer imaging applications. This package contains
libraries and sample applications for handling the format.

%package        devel
Summary:        Headers and libraries for building apps that use OpenEXR
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
%description    devel
This package contains headers and libraries required to build applications that
use the OpenEXR format.


%prep
%setup -q

%patch0 -p1 -b .zlib
%patch1 -p1 -b .forwardfriend
./bootstrap


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.la

# prepare docs
mkdir -p rpmdocs
cp -a IlmImfExamples rpmdocs/examples
rm -rf rpmdocs/examples/.deps


%check
# Not enabled, by default, takes a *very* long time. -- Rex
%{?_with_check:make check}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc rpmdocs/examples 
%{_datadir}/aclocal/*
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Oct 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.2.2-8
- own %%_docdir/OpenEXR-devel-%%version (#210997)
- devel: Requires: pkgconfig
- update zlib patch (use Libs.private)

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-7
- Further zlib fixes (#165729)

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-6
- Rebuild for Fedora Extras 5

* Wed Aug 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-5
- Remove *.a from %%files devel

* Tue Aug 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-4
- Removed -devel dep on zlib-devel (#165729)
- Added --disable-static to %%configure
- Fixed build with GCC 4.0.1
- Added .so links to -devel

* Wed May 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-3
- Add zlib-devel to BR
- Delete all .la files (#157652)

* Mon May  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-2
- Add disttag

* Sun May  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-2
- Fix BuildRequires
- Fix Requires on -devel
- Add %%post[un] scriptlets
- Fix ownership in -devel
- Don't have .deps files in %%doc

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-1
- Initial RPM release
